<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for PolygonZone StructType
 * @subpackage Structs
 */
class PolygonZone extends GeoZoneStrategy
{
    /**
     * The Positions
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfPosition_V2
     */
    public $Positions;
    /**
     * Constructor method for PolygonZone
     * @uses PolygonZone::setPositions()
     * @param \ArrayType\ArrayOfPosition_V2 $positions
     */
    public function __construct(\ArrayType\ArrayOfPosition_V2 $positions = null)
    {
        $this
            ->setPositions($positions);
    }
    /**
     * Get Positions value
     * @return \ArrayType\ArrayOfPosition_V2|null
     */
    public function getPositions()
    {
        return $this->Positions;
    }
    /**
     * Set Positions value
     * @param \ArrayType\ArrayOfPosition_V2 $positions
     * @return \StructType\PolygonZone
     */
    public function setPositions(\ArrayType\ArrayOfPosition_V2 $positions = null)
    {
        $this->Positions = $positions;
        return $this;
    }
}
